from github_manager import GitHubConnection
from workflow_manager import Workflow
import os


class ScanManager:
    def __init__(self):
        self.repo_name = "SED/ESG-ProdSec-Scanner"
        self.branch = os.environ.get("BRANCH", "main")

    def initiate_scan(self, workflow_file, custom_id, inputs, scan_image_list):
        connection = GitHubConnection()
        github = connection.connect()
        workflow = Workflow(github, self.repo_name, workflow_file, self.branch)

        workflow.start_process(scan_image_list, custom_id, inputs)
